> ## Documentation Index
> Fetch the complete documentation index at: https://docs.colloqui.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Workspace

> Update a new workspace.



## OpenAPI

````yaml PUT /api/v1/workspaces/{id}
openapi: 3.0.3
info:
  title: Colloqui API Documentation
  description: API documentation for Colloqui application
  version: 1.0.0
servers:
  - url: https://colloqui-web-develop-btoadh.laravel.cloud
security:
  - default: []
tags:
  - name: Authentication
    description: |-

      APIs for retrieving a token and invalidating the current token.
  - name: API Keys
    description: |-

      APIs for managing API keys.
  - name: Agent
    description: |-

      APIs for agents
  - name: Agent Versions
    description: |-

      APIs for retrieving version history of an agent.
  - name: Call History
    description: |-

      APIs for managing call histories.
  - name: Knowledge Base
    description: |-

      APIs for knowledge base management.
  - name: Number
    description: |-

      APIs for managing numbers.
  - name: Subscription
    description: |-

      APIs to subscribe an agent to a subscription.
  - name: User
    description: |-

      APIs for managing users.
  - name: Webhook
    description: |-

      APIs for managing webhooks.
  - name: Workspace
    description: |-

      APIs for managing workspaces.
  - name: Workspace User
    description: |-

      APIs for managing users within workspaces.
paths:
  /api/v1/workspaces/{id}:
    parameters:
      - in: path
        name: id
        description: The ID of the workspace.
        example: 01kfj20p4jw63sp4jqtfm3kg1m
        required: true
        schema:
          type: string
    put:
      tags:
        - Workspace
      summary: Update Workspace
      description: Update a new workspace.
      operationId: updateWorkspace
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: Must be at least 1 character.
                  example: bngzmiyvdljnikhw
                description:
                  type: string
                  description: ''
                  example: Eius et animi quos velit et.
                  nullable: true
              required:
                - name
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 01kqh44bw06czv88qvvdsqvpt0
                    name: My Workspace
                    description: Example description.
                    created_at: '2026-05-01T06:38:01+00:00'
                    updated_at: '2026-05-01T06:38:01+00:00'
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        example: 01kqh44bw06czv88qvvdsqvpt0
                      name:
                        type: string
                        example: My Agent
                      description:
                        type: string
                        example: Example text.
                      created_at:
                        type: string
                        example: '2026-05-01T06:38:01+00:00'
                      updated_at:
                        type: string
                        example: '2026-05-01T06:38:01+00:00'
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Bearer token authentication

````